CVE-2020-29562

LOW

Description

The iconv function in the GNU C Library (aka glibc or libc6) 2.30 to 2.32, when converting UCS4 text containing an irreversible character, fails an assertion in the code path and aborts the program, potentially resulting in a denial of service.

References

https://lists.apache.org/thread.html/[email protected]%3Cdev.mina.apache.org%3E

https://lists.fedoraproject.org/archives/list/[email protected]/message/TVCUNLQ3HXGS4VPUQKWTJGRAW2KTFGXS/

https://security.gentoo.org/glsa/202101-20

https://security.netapp.com/advisory/ntap-20210122-0004/

https://sourceware.org/bugzilla/show_bug.cgi?id=26923

Details

Source: MITRE

Published: 2020-12-04

Updated: 2021-03-19

Type: CWE-617

Risk Information

CVSS v2.0

Base Score: 2.1

Vector: AV:N/AC:H/Au:S/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 3.9

Severity: LOW

CVSS v3.0

Base Score: 4.8

Vector: CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.2

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:glibc:*:*:*:*:*:*:*:* versions from 2.30 to 2.32 (inclusive)

Configuration 2

OR

cpe:2.3:o:fedoraproject:fedora:32:*:*:*:*:*:*:*

Configuration 3

OR

cpe:2.3:a:netapp:e-series_santricity_os_controller:*:*:*:*:*:*:*:* versions from 11.0.0 to 11.60.3 (inclusive)

Tenable Plugins

View all (14 total)

IDNameProductFamilySeverity
148524SUSE SLES12 Security Update : glibc (SUSE-SU-2021:1165-1)NessusSuSE Local Security Checks
medium
148029Photon OS 4.0: Glibc PHSA-2021-4.0-0005NessusPhotonOS Local Security Checks
high
147681EulerOS : glibc (EulerOS-SA-2021-1643)NessusHuawei Local Security Checks
medium
147594EulerOS : glibc (EulerOS-SA-2021-1600)NessusHuawei Local Security Checks
medium
147455EulerOS Virtualization for ARM 64 3.0.2.0 : glibc (EulerOS-SA-2021-1382)NessusHuawei Local Security Checks
high
147065EulerOS Virtualization for ARM 64 3.0.6.0 : glibc (EulerOS-SA-2021-1537)NessusHuawei Local Security Checks
high
146916openSUSE Security Update : glibc (openSUSE-2021-358)NessusSuSE Local Security Checks
high
146903SUSE SLED15 / SLES15 Security Update : glibc (SUSE-SU-2021:0653-1)NessusSuSE Local Security Checks
high
146627Amazon Linux 2 : glibc (ALAS-2021-1605)NessusAmazon Linux Local Security Checks
medium
145715EulerOS 2.0 SP8 : glibc (EulerOS-SA-2021-1142)NessusHuawei Local Security Checks
high
145333GLSA-202101-20 : glibc: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
145196Fedora 32 : glibc (2021-6e581c051a)NessusFedora Local Security Checks
medium
144695EulerOS 2.0 SP9 : glibc (EulerOS-SA-2021-1024)NessusHuawei Local Security Checks
medium
144685EulerOS : glibc (EulerOS-SA-2021-1005)NessusHuawei Local Security Checks
medium